## cdo 1.4.4.dfsg.1

=== debian/changelog ===
cdo (1.4.4.dfsg.1-2) unstable; urgency=low

  * Make build-dep on grib-api conditional so that we build on sparc, hppa
    and mips, where grib-api doesn't. Closes: #581801. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 May 2010 19:18:17 +0100

cdo (1.4.4.dfsg.1-1) unstable; urgency=low

  * Upstream release. 
  * no_sz.patch no longer needed; upstream fix.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 May 2010 16:04:20 +0100

cdo (1.4.3.dfsg.1-2) unstable; urgency=low

  * Enable GRIB-API support. Closes: #574955. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Mar 2010 12:20:07 +0000

cdo (1.4.3.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * New CDO Homepage. https://code.zmaw.de/projects/cdo 
  * Patch no_sz.patch: Don't require libsz for HDF5, as it cannot be included
     in Debian for patent reasons.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Mar 2010 11:07:53 +0000

cdo (1.4.1.dfsg.1-2) unstable; urgency=low

  * Build using ./configure rather than dh_auto_configure ; for some reason
    the latter is currently failing.
  * Change priority to extra, as we depend on libproj0, which is extra. 
  * Built with hdf-1.8.4 since -1 (Closes: #568220).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2010 14:33:35 +0000

cdo (1.4.1.dfsg.1-1) unstable; urgency=low

  * New upstream release, with better netcdf support.
  * Build netcdf and hdf5-1.8.4
  * Move to Standards-Version: 3.8.4 , source format 3.0
  * Move cdbs to debhelper 7 style build 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2010 13:22:29 +0000

cdo (1.4.0.1~dfsg-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Nov 2009 13:30:48 +0000

cdo (1.3.2~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Move to Standards-Version: 3.8.2. No changes required.
  * Build with netcdf support. Closes: #538244.
  * Move to debhelper DH_COMPAT=7.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Jul 2009 12:56:22 +0100

cdo (1.3.1+dfsg-4) unstable; urgency=low

  * Add automake dependency (checked with pbuilder). Closes: 529086. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 May 2009 12:38:27 +0100

cdo (1.3.1+dfsg-3) unstable; urgency=low

  * Add autoconf dependency. Closes: #529013. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 May 2009 11:46:55 +0100

cdo (1.3.1+dfsg-2) unstable; urgency=low

  * Now use libproj. 
  * Added ${shlibs:Depenbds} for dependencies.
  * More docs: Add OPERATORS, NEWS, cdo.spec files. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 May 2009 16:55:32 +0100

cdo (1.3.1+dfsg-1) unstable; urgency=low

  * New Upstream release; Closes: #522772.
  * Remove pdf's from source to make it dfsg for release.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 May 2009 19:52:19 +0100

cdo (1.3.0-1) unstable; urgency=low

  * Initial Debian release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  6 Apr 2009 16:15:52 +0100
