## cdo 1.4.5.dfsg.1

=== debian/changelog ===
cdo (1.4.5.dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Jul 2010 09:04:06 +0100
