=== debian/control ===
Source: cdo
Section: utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
 libgrib-api-dev [!mips !sparc !hppa]
Standards-Version: 3.8.4
Homepage: https://code.zmaw.de/projects/cdo

Package: cdo
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators 
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.
