## cdo 1.4.6.dfsg.1

=== debian/changelog ===
cdo (1.4.6.dfsg.1-4) unstable; urgency=low

  * jasper dependency must be conditional on mips, hppa, sparc.
    Closes: #597975. 
  * clean rule should also remove .deps that may be left behind on 
    previous builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2010 14:15:53 +0100

cdo (1.4.6.dfsg.1-3) unstable; urgency=low

  * grib-api dependency now requires libjasper to build. Closes: #597921. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Sep 2010 04:02:29 +0100

cdo (1.4.6.dfsg.1-2) unstable; urgency=low

  * Libtool now needed. Closes: #597838.
  * Standards-Version: 3.9.4 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Sep 2010 05:01:34 +0100

cdo (1.4.6.dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Sep 2010 15:58:09 +0100
