=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
- libgrib-api-dev [!mips !sparc !hppa]
-Standards-Version: 3.8.4
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev 
+Standards-Version: 3.9.1
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo
