## cdo 1.4.7.dfsg.1

=== debian/changelog ===
cdo (1.4.7.dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Jan 2011 09:34:23 +0000
