## cdo 1.5.1.dfsg.1

=== debian/changelog ===
cdo (1.5.1.dfsg.1-2) unstable; urgency=low

  * Remove alternate build-dep "| libhdf5-dev", build only works with 
    libhdf5-serial-dev for the moment.
  * --disable-cgribex needed to enable GRIB2 support. Closes: #633934.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2011 23:47:02 +0100

cdo (1.5.1.dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2011 13:10:33 +0100

cdo (1.5.0.dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Standards-Version: 3.9.2. No changes required.
  * Use the Debian version of cfortran, rather than supply a copy. 
    Closes: #631015. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2011 20:54:03 +0100
