=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFLAGS += -fPIC
 
 ARCH:=$(shell dpkg --print-architecture)
-WITH_GRIB:= --with-grib-api=/usr
+WITH_GRIB:= --with-grib-api=/usr --disable-cgribex
 WITH_JASPER:= --with-jasper=/usr
 
 # grib-api not available on these arches; jasper is only needed for grib-api
@@ -27,10 +27,12 @@
 override_dh_auto_clean:
 	dh_auto_clean	|| echo "distclean ok"
 	find . -name Makefile.in -delete
+	find . -type l -delete
 	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/ltmain.sh config/missing configure INSTALL
 	rm -rf src/.deps
 
 override_dh_auto_configure:
+	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	autoreconf -if
 	./configure --prefix=/usr --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr  $(WITH_GRIB) $(WITH_JASPER)
-
+
