## cdo 1.5.2.dfsg.1

=== debian/changelog ===
cdo (1.5.2.dfsg.1-2) unstable; urgency=low

  * Build with mpicc when mpi IS set, not the opposite, in rules file. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2011 10:53:54 +0100

cdo (1.5.2.dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Add LDFLAGS="-Wl,--as-needed" ; fix --with-hdf6 to --with-hdf5
  * Add "| libhdf5-dev" and optional code for an MPI version; 
    enable with DEB_BUILD_OPTIONS=mpi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 10:27:18 +0100
