=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 # The magic debhelper  rule
 %:
 	dh $@
+
+# Use mpicc as compiler if mpi-defaults-dev is installed (and hence mpi dev packages)
+#defaults_file:=$(wildcard /usr/share/mpi-default-dev/*)
+ifneq (,$(findstring mpi,$(DEB_BUILD_OPTIONS)))
+        COND_CC:= "CC=mpicc"
+else
+        COND_CC:=
+endif
 
 CFLAGS += -fPIC
 
@@ -34,5 +42,8 @@
 override_dh_auto_configure:
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	autoreconf -if
-	./configure --prefix=/usr --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr  $(WITH_GRIB) $(WITH_JASPER)
+	LDFLAGS="-Wl,--as-needed"  \
+	  ./configure --prefix=/usr \
+		--with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
+		 $(WITH_GRIB) $(WITH_JASPER) $(COND_CC)
