## cdo 1.5.3.dfsg.1

=== debian/changelog ===
cdo (1.5.3.dfsg.1-2) unstable; urgency=low

  * Install the contrib/ components for bash, zsh completion.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Nov 2011 10:56:58 +0000

cdo (1.5.3.dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Oct 2011 09:45:04 +0100

cdo (1.5.2.dfsg.1-4) unstable; urgency=low

  * CDI needs MPI version of HDF5 to build. Closes: #645545. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Oct 2011 11:15:54 +0100

cdo (1.5.2.dfsg.1-3) unstable; urgency=low

  * Enable and ship CDI library.
  * Multi-arch. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Oct 2011 17:53:49 +0100
