=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 # The magic debhelper  rule
 %:
-	dh $@
+	dh $@ 
 
-# Use mpicc as compiler if mpi-defaults-dev is installed (and hence mpi dev packages)
-#defaults_file:=$(wildcard /usr/share/mpi-default-dev/*)
-ifneq (,$(findstring mpi,$(DEB_BUILD_OPTIONS)))
-        COND_CC:= "CC=mpicc"
-else
-        COND_CC:=
-endif
+DESTDIR:=`pwd`/debian/tmp/
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 CFLAGS += -fPIC
 
@@ -43,7 +41,15 @@
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	autoreconf -if
 	LDFLAGS="-Wl,--as-needed"  \
-	  ./configure --prefix=/usr \
-		--with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
-		 $(WITH_GRIB) $(WITH_JASPER) $(COND_CC)
-	
+	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
+		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
+		 $(WITH_GRIB) $(WITH_JASPER) CC=mpicc
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_link -p libcdi0 $(LIBDIR)/libcdi.so.0.0.0  $(LIBDIR)/libcdi.so.0
+	dh_link -p libcdi-dev $(LIBDIR)/libcdi.so.0.0.0 $(LIBDIR)/libcdi.so
+	mkdir -p $(DESTDIR)/etc/bash_completion.d $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
+	cp contrib/cdoCompletion.bash $(DESTDIR)/etc/bash_completion.d/cdo
+	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo
+
