## cdo 1.5.4+dfsg.1

=== debian/changelog ===
cdo (1.5.4+dfsg.1-5) testing-proposed-updates; urgency=low

   * Fix for data loss due to '--enable-cgribex' not enabled. Thanks to
    Marco Galli. Closes: #695009. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Dec 2012 21:42:43 +0000

cdo (1.5.4+dfsg.1-4) unstable; urgency=low

  * New upstream release.
  * Add lintian-override for multiarch (debhelper 9 version) warning.
  * Change to +dfsg name, thanks to Lintian.
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Feb 2012 13:57:35 +0000
