## cdo 1.5.6.1+dfsg.1

=== debian/changelog ===
cdo (1.5.6.1+dfsg.1-3ubuntu1) raring; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Add -lm after -ljasper to LIBS in debian/rules, to allow cdo to build
      with ld --as-needed (Closes: #692651).

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 06 Dec 2012 14:40:16 +0200

cdo (1.5.6.1+dfsg.1-3) unstable; urgency=low

  * Fix for data loss due to '--enable-cgribex' not enabled. Thanks to 
    Marco Galli. Closes: #695009. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Dec 2012 14:30:24 +0000

cdo (1.5.6.1+dfsg.1-2ubuntu2) raring; urgency=low

  * Err, let's not link to libm statically (fixes FTBFS on non-x86).

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 09 Nov 2012 10:00:18 +0200

cdo (1.5.6.1+dfsg.1-2ubuntu1) raring; urgency=low

  * Add -lm after -ljasper to LIBS in debian/rules, to allow cdo to build with
    ld --as-needed (Closes: #692651).

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 08 Nov 2012 10:23:37 +0200

cdo (1.5.6.1+dfsg.1-2) unstable; urgency=low

  * Now need libpng12-dev, libcurl4-openssl-dev to be deliberately added
    to B-D. What used to automatically pull them?

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Sep 2012 18:11:52 +0100

cdo (1.5.6.1+dfsg.1-1) unstable; urgency=low

  * New upstream release 
  * Standards-Version: 3.9.3
  * Don't use MPI builds. PIO code not included yet.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Sep 2012 02:39:21 +0100

cdo (1.5.4+dfsg.1-5) unstable; urgency=low

  * Rebuild with netcdf, hdf5 for hdf5 transition.
  * Call dh_autoreconf rather than do it manually, so dh_clean now 
    works properly after a build. Add dependency on dh_autoreconf.
  * Add gfortran dependency, build Fortran ISO_C interface to libcdi. 
  * Patch to fix typos lintian found in cdo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Feb 2012 13:29:42 +0000
