=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cdo
 Section: utils
 Priority: extra
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libhdf5-mpi-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
- libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libpng12-dev,
+ libcurl4-gnutls-dev | libcurl4-openssl-dev
+Standards-Version: 3.9.3
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo
