## cdo 1.6.0+dfsg.1

=== debian/changelog ===
cdo (1.6.0+dfsg.1-4) unstable; urgency=low

  * Fix as-needed. Use dh_autoreconf. 
  * Disable tests, to fix FTBFS due to auto* tools build issue. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Jun 2013 21:09:17 +0100

cdo (1.6.0+dfsg.1-3) unstable; urgency=low

  * Add build declaration to silence warning.
  * Change Priorities to match override. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Jun 2013 13:25:32 +0100

cdo (1.6.0+dfsg.1-2) unstable; urgency=low

  * Need to add path explicitly to find cdo in python test case. 
  * Make cdo Priority: optional to match override.
  * release fixed FTBFS on amd64; Closes: #707366.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 May 2013 06:59:54 +0100

cdo (1.6.0+dfsg.1-1) unstable; urgency=low

  * Don't use -fPIE on amd64, arm*. FTBFS then. 
  * New Upstream. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2013 17:19:09 +0100

cdo (1.5.9+dfsg.1-4) unstable; urgency=low

  * Should be libpng12-dev. Closes: #696971, #697020.
    How did libpng15-dev build in 2 separate chroots & pbuilder?? 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Dec 2012 23:01:38 +0000

cdo (1.5.9+dfsg.1-3) unstable; urgency=low

  * Also need a dependency on libpng12-dev.
    New years promise: Build in a CLEAN chroot EVERY TIME. 
  * Debhelper depend (>= 9) now.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Dec 2012 19:00:55 +0000

cdo (1.5.9+dfsg.1-2) unstable; urgency=low

  * Add explicit dependency on multiple flavours of libcurl-*-dev.
    Closes: #696971.
  * Add "-lm" to link line for -as-needed on Ubuntu. Closes: #692651.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Dec 2012 12:08:26 +0000

cdo (1.5.9+dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Standards-Version: 3.9.4. No changes required.
  * Apply hardening.
  * Now depend on libmagics++

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 29 Dec 2012 17:13:31 +0000
