=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cdo
 Section: utils
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
- libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libpng12-dev,
- libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 3.9.3
+Priority: optional
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libmagics++-dev,
+ libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev, libpng12-dev | libpng-dev
+Standards-Version: 3.9.4
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo
@@ -21,6 +20,7 @@
 Package: libcdi0
 Section: libs
 Architecture: any
+Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -31,6 +31,7 @@
 Package: libcdi-dev
 Section: libdevel
 Architecture: any
+Priority: extra
 Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
 Multi-Arch: same
 Description: Development files for the climate data interface library
