## cdo 1.6.1+dfsg.1

=== debian/changelog ===
cdo (1.6.1+dfsg.1-3) unstable; urgency=low

  * Don't build-dep (or use) magics++ on mips, as magics++ requires grib-api
    which doesn't build on mips (yet).  

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Sep 2013 09:53:27 +0100

cdo (1.6.1+dfsg.1-2) unstable; urgency=low

  * Add updated watch file. 
  * grib-api now works on sparc. Re-enable dependency here.
  * Don't use --as-needed and -fPIE on powerpc. armel. Closes: #720298.
  * Building with serial hdf5: Closes: #712829.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Sep 2013 07:53:59 +0100

cdo (1.6.1+dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Aug 2013 22:16:49 +0100
