## cdo 1.6.2+dfsg.1

=== debian/changelog ===
cdo (1.6.2+dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Nov 2013 10:26:58 +0000
