=== debian/rules ===
--- 
+++ 
@@ -22,32 +22,39 @@
 ARCH:=$(shell dpkg --print-architecture)
 WITH_GRIB:= --with-grib-api=/usr --disable-cgribex
 WITH_JASPER:= --with-jasper=/usr
+AS_NEEDED= -Wl,--as-needed
+WITH_MAGICS:= --with-magics=/usr
 
 # export LIBTOOLIZE=true
 
-# On amd64, arm*, don't do fPIE, only relro
+# On powerpc, amd64, arm*, don't do fPIE, only relro
 ifeq ($(ARCH), amd64)
   export LDFLAGS= -Wl,-z,relro -Wl,-z,now
 endif
 ifeq ($(ARCH), armel)
   export LDFLAGS= -Wl,-z,relro -Wl,-z,now
+  export AS_NEEDED=
+  export CFLAGS= -g -O2 -Wall
 endif
 ifeq ($(ARCH), armhf)
   export LDFLAGS= -Wl,-z,relro -Wl,-z,now
+endif
+ifeq ($(ARCH),powerpc)
+  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
+  export AS_NEEDED=
+  export CFLAGS= -g -O2 -Wall
 endif
 
 # grib-api not available on these arches; jasper is only needed for grib-api
 ifeq ($(ARCH), mips)
   WITH_GRIB:=
   WITH_JASPER:=
+  WITH_MAGICS:=
 endif
 ifeq ($(ARCH), hppa)
   WITH_GRIB:=
   WITH_JASPER:=
-endif
-ifeq ($(ARCH), sparc)
-  WITH_GRIB:=
-  WITH_JASPER:=
+  WITH_MAGICS:=
 endif
 
 override_dh_auto_clean:
@@ -73,10 +80,10 @@
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
 		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
-		--enable-iso-c-interface   --with-magics=/usr \
-		 $(WITH_GRIB) $(WITH_JASPER)  FC=gfortran \
+		--enable-iso-c-interface  \
+		 $(WITH_GRIB) $(WITH_JASPER) $(WITH_MAGICS)  FC=gfortran \
 		LIBS="-Wl,-Bstatic -lpng12 -ljasper -lm -ljpeg -lz -Wl,-Bdynamic -lcurl" \
-		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
+		LDFLAGS="$(LDFLAGS) $(AS_NEEDED)"
 	#rm -f libtool libcdi/libtool
 	#ln -sf /usr/bin/libtool libtool
 	#ln -sf /usr/bin/libtool libcdi/libtool
