## cdo 1.6.5+dfsg.1

=== debian/changelog ===
cdo (1.6.5+dfsg.1-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Fix build failure on ppc64el.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2014 14:32:19 +0000

cdo (1.6.5+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6. No changes required.
  * Updated patches. u_char_fix.patch no longer needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Oct 2014 07:42:54 +0000

cdo (1.6.4+dfsg.1-5) unstable; urgency=medium

  * Drop building with static libs (not needed anymore?)
    Closes: #761187.
  * Ack. bug fixed in 1.6.4 release. Closes: #744274.
  * Fix for expr_run() definition conflict spotted by gotocc project.
    Closes: #747001.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Sep 2014 10:24:13 +0100

cdo (1.6.4+dfsg.1-4ubuntu2) vivid; urgency=medium

  * Rebuild against libhdf5-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Nov 2014 14:20:57 +0000
