## cdo 1.6.6+dfsg.1

=== debian/changelog ===
cdo (1.6.6+dfsg.1-3) unstable; urgency=medium

  * Re-include ppc64el build fix patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jul 2015 07:19:25 +0100

cdo (1.6.6+dfsg.1-2) unstable; urgency=medium

  * deregister.patch: remove obsolete 'register' statements from some code. 
    Finding the address of a register strictly verboten and breaks 
    ppc64el code. 
  * Additional fix ore reproducible build: set hostname, username to 
    constant values. 
  * Now link against gribapi on mips as it is available
  * Enable libfftw3 support
  * Enable --with-curl explicitly

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jul 2015 10:11:01 +0100

cdo (1.6.6+dfsg.1-1) unstable; urgency=medium

  * New upstream release 
  * Remove timestamps to make build bit-reproducible
  * Minor build fix for str2uuid: remove broken forward declaration
  * Add Vcs-Git: to control file, pointing to debian-science repo

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2015 09:00:16 +0100
