=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake,
- libnetcdf-dev, netcdf-bin,
- libhdf5-serial-dev, 
+ libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,  
+ libfftw3-dev, libudunits2-dev,
  gfortran, dh-autoreconf,
- libgrib-api-dev [!mips !hppa], libtool, libjasper-dev, cfortran,
- libmagics++-dev [!mips !hppa],
+ libgrib-api-dev [!hppa], libtool, libjasper-dev, cfortran,
+ libmagics++-dev [!hppa],
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
  libpng12-dev | libpng-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://code.zmaw.de/projects/cdo
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/cdo.git
 
 Package: cdo
 Section: utils
